Page MenuHomePhabricator

mergestate: merge `preresolve()` into `resolve()`
ClosedPublic

Authored by martinvonz on Dec 4 2021, 2:06 AM.

Details

Summary

The separation between preresolve() and resolve() was something
added for the "merge driver" feature. Since we removed that in
32ce4cbaec4b (mergedriver: delete it, 2020-09-17), we don't need the
separation anymore. More cleanups will follow.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Dec 4 2021, 2:06 AM
Alphare accepted this revision.Dec 7 2021, 10:26 AM
This revision is now accepted and ready to land.Dec 7 2021, 10:26 AM
martinvonz updated this revision to Diff 31357.Dec 7 2021, 12:02 PM
This revision was automatically updated to reflect the committed changes.